Module org.hdfgroup.hdfview
Package hdf.view.MetaDataView

# Class DefaultDatasetMetaDataView

Object
hdf.view.MetaDataView.DefaultBaseMetaDataView
hdf.view.MetaDataView.DefaultLinkMetaDataView
hdf.view.MetaDataView.DefaultDatasetMetaDataView

All Implemented Interfaces:
  `DataView`, `MetaDataView`

public class DefaultDatasetMetaDataView extends DefaultLinkMetaDataView implements MetaDataView
The metadata view interface for displaying dataset metadata information

- ## Field Summary

  ### Fields inherited from class hdf.view.MetaDataView.DefaultBaseMetaDataView

  `attributeInfoPane, contentTabFolder, curFont, dataObject, display, generalObjectInfoPane, isH4, isH5, isN3, viewManager`

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDatasetMetaDataView(org.eclipse.swt.widgets.Composite parentComposite, DataViewManager viewer, HObject theObj)`
  The metadata view interface for displaying dataset metadata information

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addObjectSpecificContent()`
  Additional metadata to display

  ### Methods inherited from class hdf.view.MetaDataView.DefaultBaseMetaDataView

  `addAttribute, deleteAttribute, getDataObject, updateFont`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface hdf.view.DataView.DataView

  `getDataObject`

  ### Methods inherited from interface hdf.view.MetaDataView.MetaDataView

  `addAttribute, deleteAttribute`

- ## Constructor Details

  - ### DefaultDatasetMetaDataView

    public DefaultDatasetMetaDataView(org.eclipse.swt.widgets.Composite parentComposite, DataViewManager viewer, HObject theObj)
    The metadata view interface for displaying dataset metadata information
    Parameters:
      `parentComposite` - the parent visual object
      `viewer` - the viewer to use
      `theObj` - the object to display the metadata info

- ## Method Details

  - ### addObjectSpecificContent

    protected void addObjectSpecificContent()
    Description copied from class: `DefaultBaseMetaDataView`
    Additional metadata to display
    Overrides:
      `addObjectSpecificContent` in class `DefaultLinkMetaDataView`